Programs
Post Field Options
Saves field options for a specific program, and optionally, a specific type.
- This includes saving preferences in Redis and handling report saving.
POST
/
admin
/
fields
/
options
/
{program_id}
/
{type}
Post Field Options
curl --request POST \
--url https://api.helpyousponsor.com/v1/admin/fields/options/{program_id}/{type} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data @- <<EOF
{
"client_id": "<string>",
"program": [
"['client_id', 'program_id', 'en_child_name', 'en_gender', 'report_name']"
],
"en_child_name": true,
"en_child_gender": true,
"report_name": "<string>",
"program_id": 123
}
EOFimport requests
url = "https://api.helpyousponsor.com/v1/admin/fields/options/{program_id}/{type}"
payload = {
"client_id": "<string>",
"program": ["['client_id', 'program_id', 'en_child_name', 'en_gender', 'report_name']"],
"en_child_name": True,
"en_child_gender": True,
"report_name": "<string>",
"program_id": 123
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
program: [
'[\'client_id\', \'program_id\', \'en_child_name\', \'en_gender\', \'report_name\']'
],
en_child_name: true,
en_child_gender: true,
report_name: '<string>',
program_id: 123
})
};
fetch('https://api.helpyousponsor.com/v1/admin/fields/options/{program_id}/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Preferences Saved"
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
Program ID for which to save field options
Type of the field options to save
Body
application/json
Data for field options to save
Response
200 - application/json
Field options saved successfully
Example:
"Preferences Saved"
Previous
Select Saved ViewHandles the selection of a saved report,
* updating admin preferences in Redis and clearing relevant caches.
Next
⌘I
Post Field Options

